CAIRO-CLOCK(1)

NAME
cairo-clock - an analog clock drawn with vector-graphics

SYNOPSIS
cairo-clock [--x X] [--y Y] [--width WIDTH] [--height HEIGHT] [--seconds] [--date] [--theme name] [--ontop] [--pager] [--taskbar] [--sticky] [--twelve] [--twentyfour] [--refresh]
cairo-clock -h, --help
cairo-clock -v, --version
cairo-clock -l, --list

DESCRIPTION
This manual page documents briefly the usage of the cairo-clock program. You can move the clock around with your mouse by pressing and holding the left mouse-button and dragging your mouse around. The clock will follow your movements. To resize the clock you have to press and hold the middle mouse-button down and drag your mouse around. The upper-left corner of the clock will follow your movements. Just clicking the right mouse-button on the clock will bring up the popup-menu. You find three menu-items. Properties, Info and Quit. Selecting the Properties item will bring up a dialog where you can change all available features of the clock (e.g. size, theme, display of optional elements, pager- and taskbar-behaviour). The next menu-item, Info, will bring up an informational dialog stating the name of program, current version, author and license information. The third and last menu-item, Quit, really exits the program if you select it. Surprised?! ;-) You can also hit the ESC-key if you want to exit the program.

If you want to install additional themes for the clock you downloaded from the internet you can best place them in you home-directory under ~/.cairo-clock/themes. You proably have to create that directory-structure the first time you install new themes. A theme there goes in a directory like e.g. ~/.cairo-clock/theme/new_theme. Once you copied the new themes directory there you will be able to select it via the Properties dialog in the theme-selection widget after a restart of the program. The theme-directories are only scanned during program-start. The newly added 24h-mode for cairo-clock will need you to select any of the supplied 24h-themes. While the clock will run without any problems if you switch to 24h-mode and still use a 12h-based theme, you are going to want to select a 24h-based theme in order to make any sense of the displayed hand-positions in 24h-mode.

OPTIONS
cairo-clock now uses common GNU-convention for commandline-options. Take note that using commandline-options overrules everything which maybe stored in your local settings-file. Using the commandline-options will completely ignore any settings you may have stored in your local settings-file. Every option will default to program-internal settings. A summary of options is included below. There is no Info file on this.

-x, --xposition X
    The initial x-position of the top-left window-corner of the clock will be X.

-y, --yposition Y
    The initial y-position of the top-left window-corner of the clock will be Y.

-w, --width WIDTH
    Initially open the window of the clock with a width of WIDTH.

-g, --height HEIGHT
    Initially open the window of the clock with a height of HEIGHT.

-s, --seconds
    Passing this means to render the seconds-hand. If you leave this out no seconds-hand will be drawn.

-d, --date
    Passing this means to render the date-display. If you leave this out no date will be drawn.

-l, --list
    List all themes installed system-wide and locally for the current user and exit.

-t, --theme NAME
    Use theme NAME for rendering. Use the any of the names returned by the options -l or --list.

-o, --ontop
    Passing this means the clock-window will stay above all other windows. If you leave this out other windows can overlap the clock-window.

-p, --pager
    Passing this means the clock-window will appear in the pager. If you leave this out the pager will ignore the clock-window and not display it.

-b, --taskbar
    Passing this means the clock-window will show up in the taskbar. If you leave this out the clock-window will not show up in the taskbar.

-i, --sticky
    Passing this means to have the clock-window appear all your workspaces. If you leave this out the clock will only be visible on the current workspace from where you initially started cairo-clock.

-e, --twelve
    Passing this will force the hour hand to use commonly known 12h per full circle.

-f, --twentyfour
    Passing this will cause the hour hand to spread 24h across a full circle.

-r, --refresh RATE
    Use an animation-refreshrate of RATE for rendering. Use this with caution! Possible values are 1..60 Hz.

-h, --help
    Print a usage-description and exit.

-v, --version
    Print the programs version-number and exit.

BUGS
If redraws don't happen every second (the second-hand is drawn) the needed refresh after a window-size change via the preferences-dialog only happens on a minute-interval.

AUTHOR
cairo-clock is written and maintained by Mirco Mueller <macslow@bangang.de>.

This manual page was written by Mirco Mueller <macslow@bangang.de>, for the Debian/Ubuntu project (but may be used by others).